Summary:		ACPI kernel daemon and control utility
Name:			acpid
Version:		2.0.10
%define subrel 1
Release:		%manbo_mkrel 1
License:		GPLv2+
Group:			System/Servers
Epoch:			2
URL:			http://www.tedfelix.com/linux/acpid-netlink.html
Source0:		http://www.tedfelix.com/linux/%{name}-%{version}.tar.gz
Source1:		acpid.rc
Source2:		acpid.service
Patch0:			acpid-2.0.7-makefile.patch
Patch1:			acpid-2.0.10-CVE-2011-2777.diff
Patch2:			acpid-2.0.10-CVE-2011-4578.diff
ExclusiveArch:		%{ix86} ia64 x86_64 amd64
Requires(post):		rpm-helper
Requires(post):		chkconfig >= 1.3.37-3mdv
Requires(preun):	rpm-helper
Conflicts:		suspend-scripts < 1.27-2mdv2007.1
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
The ACPI specification defines power and system management functions
for each computer, in a generic manner. The ACPI daemon coordinates
the management of power and system functions when ACPI kernel
support is enabled (kernel 2.3.x or later).

%prep
%setup -q
%patch0 -p1 -b .makefile
%patch1 -p0 -b .CVE-2011-2777
%patch2 -p0 -b .CVE-2011-4578

%build
%serverbuild
# Don't use standard optflag, correct LDFLAGS
sed -i -e "/^OPT = /d"  -e "1iLDFLAGS = -pie %{ldflags}" Makefile
OPT="%{optflags} -fPIC" %make

%install

# no backups
rm -f samples/powerbtn/powerbtn.sh.CVE-2011-2777

%makeinstall_std
mkdir -p %{buildroot}/%{_initrddir}
install -m755 %{SOURCE1} %{buildroot}%{_initrddir}/acpid
mkdir -p %{buildroot}/lib/systemd/system
install -m755 %{SOURCE2} %{buildroot}/lib/systemd/system

install -d %{buildroot}%{_sysconfdir}/acpi/actions

%clean
rm -rf %{buildroot}

%triggerpostun -- acpid < 2:1.0.6-7mnb
/sbin/chkconfig --level 7 acpid reset

%post
%_post_service acpid

%preun
%_preun_service acpid

%files
%defattr(-,root,root)
%doc README TODO Changelog
%{_sbindir}/*
%{_bindir}/*
%{_mandir}/man8/*
%{_initrddir}/acpid
/lib/systemd/system/acpid.service
%dir %{_sysconfdir}/acpi/actions


%changelog
* Fri Aug 17 2012 Oden Eriksson <oeriksson@mandriva.com> 2:2.0.10-1.1
- P1: security fix for CVE-2011-2777
- P2: security fix for CVE-2011-4578

* Wed May 18 2011 Eugeni Dodonov <eugeni@mandriva.com> 2:2.0.10-1mnb2
+ Revision: 676052
- New version 2.0.10.

* Fri Apr 15 2011 Eugeni Dodonov <eugeni@mandriva.com> 2:2.0.9-1
+ Revision: 653215
- New version 2.0.9.

* Sat Mar 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 2:2.0.8-1
+ Revision: 644053
- update to new version 2.0.8
- drop patch 1, fixed by upstream

* Tue Jan 25 2011 Eugeni Dodonov <eugeni@mandriva.com> 2:2.0.7-2
+ Revision: 632504
- Added systemd unit.
  P1: fix makefile for proper linking
  P2: fix comparison between signed and unsigned integers.

* Tue Nov 23 2010 Eugeni Dodonov <eugeni@mandriva.com> 2:2.0.7-1mnb2
+ Revision: 600263
- New version 2.0.7.

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2:2.0.6-1mnb2
+ Revision: 550924
- update to new version 2.0.6

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 2:2.0.4-2mnb2
+ Revision: 540010
- rebuild so that shared libraries are properly stripped again

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.4-1mnb2
+ Revision: 535626
- Update to new version 2.0.4

* Sun Mar 21 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2:2.0.3-1mnb2
+ Revision: 526215
- corrent sed options
- update to new version 2.0.3

* Tue Feb 23 2010 Frederik Himpe <fhimpe@mandriva.org> 2:2.0.2-1mnb2
+ Revision: 510321
- Update to new version 2.0.2 (uses kernel netlink interface)
- Don't run mandb in make install stage, because Mandriva does not
  have mandb
- Set CFLAGS and LDFLAGS with sed hack instead of patch
- Remove ignore rpmnew patch: upstream now uses run-parts regexp
  to select valid config files (only file names containing
  alpha-numerical characters, - and _ are taken into account)

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 2:1.0.10-1mnb2
+ Revision: 370002
- Update to new version 1.0.10 (fixes CVE-2009-0798)

* Sat Mar 21 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.0.8-1mnb2
+ Revision: 359671
- Updated to version 1.0.8
- Dropped uneeded patch acpid-kernel-acpi-h.patch
- Dropped merged patches: acpid-1.0.6-warning.patch,
  acpid-1.0.6-fd.patch, acpid-1.0.6-log.patch
- Redid makefile patch.

* Thu Feb 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-7mnb2
+ Revision: 337831
- Add runlevel 7 support in initscript

* Tue Sep 30 2008 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.6-6mnb2
+ Revision: 290090
- Do no run laptop-mode hook in acpid initscript, it is done by laptop-mode initscript

* Tue Aug 05 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.6-5mnb2
+ Revision: 263721
- fix license tag
- update acpid-1.0.6-makefile.patch from rh (fix building with gcc 4.3)
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.6-4mnb1
+ Revision: 170648
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-4mdv2008.1
+ Revision: 166311
- do not require obsolete acpi service in initscript

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 2:1.0.6-3mdv2008.1
+ Revision: 164185
- add securlevel 80 for TurboLinux (Makoto Dei)
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Olivier Blin <oblin@mandriva.com> 2:1.0.6-2mdv2008.1
+ Revision: 117212
- remove useless logrotate file, log now goes to syslog
- fix dumping useless info to log (#35825, patch from RH #389581)
- fix socket leak (RH #394431)

* Wed Jul 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2:1.0.6-1mdv2008.0
+ Revision: 51320
- rediff patch 1 and 2
- drop patch 3
- provide patch 4 (compile with %%optflags)
- new version
- spec file clean


* Thu Jan 11 2007 Olivier Blin <oblin@mandriva.com> 1.0.4-13mdv2007.0
+ Revision: 107423
- remove useless rm
- own /etc/acpi/actions
- do not require suspend-scripts
- bunzip2 sources
- Import acpid

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-12mdk
- fix Requires post and preun
- fix typo in init script

* Sun Jan 08 2006 Olivier Blin <oblin@mandriva.com> 1.0.4-11mdk
- convert parallel init to LSB

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 2:1.0.4-10mdk
- Add parallel init stuff

* Tue Nov 15 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-9mdk
- restore init script fix that was dropped in 8mdk

* Thu Nov 03 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-8mdk
- don't close clients when reloading configuration. This will avoid
having the X server consuming 100%% cpu...

* Wed Nov 02 2005 Stew Benedict <sbenedict@mandriva.com> 2:1.0.4-7mdk
- fix init script (bugzilla #19576)

* Sat Aug 27 2005 Frederic Lepied <flepied@mandriva.com> 2:1.0.4-6mdk
- start at level 14 (before dm)

* Sun Jul 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2:1.0.4-5mdk
- Patch 2 : Fix Build with gcc4 ( fedora )
- mkrel

* Sat Mar 19 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-4mdk
- fix the logrotate file

* Sun Mar 13 2005 Michael Scherer <misc@mandrake.org> 2:1.0.4-3mdk
- add a logrotate file
- clean spec file

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 2:1.0.4-2mdk
- re-upload (1.0.4-1mdk got lost)

* Mon Feb 28 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4
- ignore .rpm{new,save} files in /etc/acpi/events (#13943, P1)

* Tue Apr 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.3-1mdk
- call battery.sh if present
- New release 1.0.3

